Subject: Re: [PATCH net-next 5/5] ptp: start virtual clocks at current system time.

From: Miroslav Lichvar <[email-masked]>
Date: Mon, 31 Jan 2022 11:21:08 +0100

On Thu, Jan 27, 2022 at 02:01:16PM -0800, Richard Cochran wrote:
> On Thu, Jan 27, 2022 at 12:45:36PM +0100, Miroslav Lichvar wrote:
> > When a virtual clock is being created, initialize the timecounter to the
> > current system time instead of the Unix epoch to avoid very large steps
> > when the clock will be synchronized.
> 
> I think we agreed that, going forward, new PHC drivers should start at
> zero (1970) instead of TAI - 37.

I tried to find the discussion around this decision, but failed. Do
you have a link?

To me, it seems very strange to start the PHC at 0. It makes the
initial clock correction unnecessarily larger by ~7 orders of
magnitude. The system clock is initialized from the RTC, which can
have an error comparable to the TAI-UTC offset, especially if the
machine was turned off for a longer period of time, so why not
initialize the PHC from the system time? The error is much smaller
than billions of seconds.

-- 
Miroslav Lichvar